Skip to main content
Data Protection/Backup Management Interfaces
GETBackup Management InterfacesSince 3.0.0SynchronousAuth Required

Get Database Backup

Get Database Backup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • urlStringRequired

    Image Storage URL

  • registryPortint

    Image repository access port

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null on success. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. This field is null if there is no root error

  • infosListRequired

    For details, see infos

    • idStringRequired

      ID in the image repository

    • parentStringRequired

      Parent image name

    • blobsumStringRequired

      Image hash

    • createdTimestampRequired

      Image commit time

    • authorStringRequired

      Image author

    • archStringRequired

      OS architecture of the image

    • descStringRequired

      Image description

    • sizeLongRequired

      Actual size of the image

    • virtualsizeLongRequired

      Virtual size of the image

    • nameStringRequired

      Image name in the image repository

Endpoint

GET/zstack/v1/database-backups/image-store

/zstack/v1/database-backups/image-store

Operation ID

GetDatabaseBackupFromImageStore

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/database-backups/image-store?url=<url>&registryPort=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "infos": [ { "id": "270c67e3699f72ba", "created": "Nov 14, 2017 10:20:57 PM", "author": "cloud", "arch": "amd64", "size": 7995392.0, "virtualsize": 1.268224E7, "name": "78b6afbc9da73932a000fb9a75947962" } ] }

Change History

This API has no change history records yet.

View all change history